﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace FieldEdit
{
	/// <summary>
	/// Interaction logic for frmMarkup.xaml
	/// </summary>
	public partial class frmMarkup : Window
	{
	
		private Dictionary<string, object> _props = null;

		public frmMarkup()
		{
			InitializeComponent();
			btnOK.Click += new RoutedEventHandler(btnOK_Click);
			btnCancel.Click += new RoutedEventHandler(btnCancel_Click);
		}

		public Dictionary<string, object> Open()
		{
			_props = null;
			this.ShowDialog();
			return _props;
		}

		void btnOK_Click(object sender, RoutedEventArgs e)
		{
			_props = new Dictionary<string, object>();
			_props["TITLE"] = txtLocation.Text;
			_props["DETAIL"] = txtDescription.Text;
			if (dpSurveyDate.SelectedDate != null)
				_props["SURVEY_DATE"] = dpSurveyDate.SelectedDate;
			_props["FIXED"] = "No";
			_props["PLACEMENT_CODE"] = clsFieldHelper.PlacementCode("");
			_props["IDSTAMP"] = Guid.NewGuid().ToString();
			_props["TIMESTAMP"] = DateTime.Now;
			this.DialogResult = true;
		}

		void btnCancel_Click(object sender, RoutedEventArgs e)
		{
			this.DialogResult = false;
		}

	}
}
